#ifndef __LAMINO_FILTER_DEF_H__
#define __LAMINO_FILTER_DEF_H__

typedef struct
{
    // rotation angle
    float phi;

    // laminographic angle
    float theta;

    // misalignment angle
    float psi;
	
    // modified lamino angle 
    float alpha;

    // rotation angular step
    float angle_step;

    // rotation matrix
    float mat_0;
    float mat_1;
    float mat_2;
    float mat_3;
    float mat_4;
    float mat_5;

    // reconstructed volume size
    int vol_sx;
    int vol_sy;
    int vol_sz;

    // volume origin
    float vol_ox;
    float vol_oy;
    float vol_oz;
     
    // projection origin
    float proj_ox;
    float proj_oy;

    // projection sizes
    int proj_sx;
    int proj_sy;

} CLParameters;

#endif

