#ifndef __UFO_LAMINO_CONV_TASK_H
#define __UFO_LAMINO_CONV_TASK_H

#include <ufo/ufo.h>

G_BEGIN_DECLS

#define UFO_TYPE_LAMINO_CONV_TASK             (ufo_lamino_conv_task_get_type())
#define UFO_LAMINO_CONV_TASK(obj)             (G_TYPE_CHECK_INSTANCE_CAST((obj), UFO_TYPE_LAMINO_CONV_TASK, UfoLaminoConvTask))
#define UFO_IS_LAMINO_CONV_TASK(obj)          (G_TYPE_CHECK_INSTANCE_TYPE((obj), UFO_TYPE_LAMINO_CONV_TASK))
#define UFO_LAMINO_CONV_TASK_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST((klass), UFO_TYPE_LAMINO_CONV_TASK, UfoLaminoConvTaskClass))
#define UFO_IS_LAMINO_CONV_TASK_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE((klass), UFO_TYPE_LAMINO_CONV_TASK))
#define UFO_LAMINO_CONV_TASK_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS((obj), UFO_TYPE_LAMINO_CONV_TASK, UfoLaminoConvTaskClass))

typedef struct _UfoLaminoConvTask           UfoLaminoConvTask;
typedef struct _UfoLaminoConvTaskClass      UfoLaminoConvTaskClass;
typedef struct _UfoLaminoConvTaskPrivate    UfoLaminoConvTaskPrivate;

/**
 * UfoLaminoConvTask:
 *
 * Main object for organizing filters. The contents of the #UfoLaminoConvTask structure
 * are private and should only be accessed via the provided API.
 */
struct _UfoLaminoConvTask {
    /*< private >*/
    UfoTaskNode parent_instance;

    UfoLaminoConvTaskPrivate *priv;
};

/**
 * UfoLaminoConvTaskClass:
 *
 * #UfoLaminoConvTask class
 */
struct _UfoLaminoConvTaskClass {
    /*< private >*/
    UfoTaskNodeClass parent_class;
};

UfoNode  *ufo_lamino_conv_task_new       (void);
GType     ufo_lamino_conv_task_get_type  (void);

G_END_DECLS

#endif
