#ifndef __UFO_PADDING_2D_TASK_H
#define __UFO_PADDING_2D_TASK_H

#include <ufo/ufo.h>

G_BEGIN_DECLS

#define UFO_TYPE_PADDING_2D_TASK             (ufo_padding_2d_task_get_type())
#define UFO_PADDING_2D_TASK(obj)             (G_TYPE_CHECK_INSTANCE_CAST((obj), UFO_TYPE_PADDING_2D_TASK, UfoPadding2DTask))
#define UFO_IS_PADDING_2D_TASK(obj)          (G_TYPE_CHECK_INSTANCE_TYPE((obj), UFO_TYPE_PADDING_2D_TASK))
#define UFO_PADDING_2D_TASK_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST((klass), UFO_TYPE_PADDING_2D_TASK, UfoPadding2DTaskClass))
#define UFO_IS_PADDING_2D_TASK_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE((klass), UFO_TYPE_PADDING_2D_TASK))
#define UFO_PADDING_2D_TASK_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS((obj), UFO_TYPE_PADDING_2D_TASK, UfoPadding2DTaskClass))

typedef struct _UfoPadding2DTask           UfoPadding2DTask;
typedef struct _UfoPadding2DTaskClass      UfoPadding2DTaskClass;
typedef struct _UfoPadding2DTaskPrivate    UfoPadding2DTaskPrivate;

/**
 * UfoPadding2DTask:
 *
 * Main object for organizing filters. The contents of the #UfoPadding2DTask structure
 * are private and should only be accessed via the provided API.
 */
struct _UfoPadding2DTask {
    /*< private >*/
    UfoTaskNode parent_instance;

    UfoPadding2DTaskPrivate *priv;
};

/**
 * UfoPadding2DTaskClass:
 *
 * #UfoPadding2DTask class
 */
struct _UfoPadding2DTaskClass {
    /*< private >*/
    UfoTaskNodeClass parent_class;
};

UfoNode  *ufo_padding_2d_task_new       (void);
GType     ufo_padding_2d_task_get_type  (void);

G_END_DECLS

#endif
