#ifndef __UFO_SCALE_TASK_H
#define __UFO_SCALE_TASK_H

#include <ufo/ufo.h>

G_BEGIN_DECLS

#define UFO_TYPE_SCALE_TASK             (ufo_scale_task_get_type())
#define UFO_SCALE_TASK(obj)             (G_TYPE_CHECK_INSTANCE_CAST((obj), UFO_TYPE_SCALE_TASK, UfoScaleTask))
#define UFO_IS_SCALE_TASK(obj)          (G_TYPE_CHECK_INSTANCE_TYPE((obj), UFO_TYPE_SCALE_TASK))
#define UFO_SCALE_TASK_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST((klass), UFO_TYPE_SCALE_TASK, UfoScaleTaskClass))
#define UFO_IS_SCALE_TASK_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE((klass), UFO_TYPE_SCALE_TASK))
#define UFO_SCALE_TASK_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS((obj), UFO_TYPE_SCALE_TASK, UfoScaleTaskClass))

typedef struct _UfoScaleTask           UfoScaleTask;
typedef struct _UfoScaleTaskClass      UfoScaleTaskClass;
typedef struct _UfoScaleTaskPrivate    UfoScaleTaskPrivate;

/**
 * UfoScaleTask:
 *
 * Main object for organizing filters. The contents of the #UfoScaleTask structure
 * are private and should only be accessed via the provided API.
 */
struct _UfoScaleTask {
    /*< private >*/
    UfoTaskNode parent_instance;

    UfoScaleTaskPrivate *priv;
};

/**
 * UfoScaleTaskClass:
 *
 * #UfoScaleTask class
 */
struct _UfoScaleTaskClass {
    /*< private >*/
    UfoTaskNodeClass parent_class;
};

UfoNode  *ufo_scale_task_new       (void);
GType     ufo_scale_task_get_type  (void);

G_END_DECLS

#endif
