from gi.repository import Ufo

path = [ '/home/timurttv/_UFO-Project/git_framework3/lamino-filters-installed/lib/ufo',
         '/home/timurttv/_UFO-Project/git_framework3/ufo-filters-installed/lib/ufo' ]

conf = Ufo.Configuration(paths=path)
g    = Ufo.TaskGraph()
pm   = Ufo.PluginManager(configuration=conf)
s    = Ufo.Scheduler(configuration=conf)

sinrd 	= pm.get_filter('reader')
fft 	= pm.get_filter('fft')
ifft 	= pm.get_filter('ifft')
fltr 	= pm.get_filter('filter')
bp 	= pm.get_filter('backproject')
sliwr 	= pm.get_filter('writer')

sinrd.set_properties(path='/home/vogelgesang/data/bug/sinograms/sino-*.tif')
fft.set_properties(dimensions=1)
ifft.set_properties(dimensions=1, final_width=832)
bp.set_properties(axis_pos=413.0, angle_step=0.01256637)
sliwr.set_properties(path='./out', prefix='bug_sli')
# fltr.set_properties(filter_type="butterworth", bw_cutoff=0.5, bw_order=4)

g.connect_filters(sinrd, fft)
g.connect_filters(fft, fltr)
g.connect_filters(fltr, ifft)
g.connect_filters(ifft, bp)
g.connect_filters(bp, sliwr)

s.run(g)
