from gi.repository import Ufo

path = [ '/home/timurttv/_UFO-Project/git_framework3/lamino-filters-installed/lib/ufo',
         '/home/timurttv/_UFO-Project/git_framework3/ufo-filters-installed/lib/ufo' ]

conf = Ufo.Configuration(paths=path)
g    = Ufo.Graph()
pm   = Ufo.PluginManager(configuration=conf)
s    = Ufo.Scheduler(configuration=conf)

reader 	= pm.get_filter('reader')
ramp 	= pm.get_filter('laminoramp')
padding = pm.get_filter('padding2d')
fft_ramp = pm.get_filter('fft')
fft_orig = pm.get_filter('fft')
ifft 	= pm.get_filter('ifft')
conv 	= pm.get_filter('laminoftconv')
rec 	= pm.get_filter('laminobpgeneric')
writer	= pm.get_filter('3dedfwriter')

reader.set_properties(path='/home/vogelgesang/data/bug/projections/*.tif', count=300)
padding.set_properties(xl=179, xr=3085, yt=5, yb=107, mode='brep')
ramp.set_properties(width=4096, fwidth=1186, height=512, theta=-1.570796326, tau=1)
fft_ramp.set_properties(dimensions=2)
fft_orig.set_properties(dimensions=2)
ifft.set_properties(dimensions=2)
rec.set_properties(   theta=-1.570796326,
                      psi=0,
  	              angle_step=0.01256637,
		      vol_sx=832,
	              vol_sy=832,
	              vol_sz=400,
		      vol_ox=416,
	              vol_oy=416,
                      vol_oz=200,
		     proj_ox=592,
		     proj_oy=205)
writer.set_properties(prefix='./out/vol-')

g.connect_filters(reader, padding)
g.connect_filters(padding, fft_orig)
g.connect_filters(ramp, fft_ramp)
g.connect_filters_full(fft_ramp, 0, conv, 0, Ufo.TransferMode.COPY) # filter 
g.connect_filters_full(fft_orig, 0, conv, 1, Ufo.TransferMode.COPY) # projs
g.connect_filters(conv, ifft)
g.connect_filters(ifft, rec)
g.connect_filters(rec, writer)


s.run(g)

