from gi.repository import Ufo
 
path = ['/home/timurttv/_UFO-Project/git_framework3/lamino-filters-installed/lib/ufo',
	'/home/timurttv/_UFO-Project/git_framework3/ufo-filters-installed/lib/ufo' ]
conf = Ufo.Configuration(paths=path)

g  = Ufo.Graph()
pm = Ufo.PluginManager(configuration=conf)
s = Ufo.Scheduler(configuration=conf)


reader = pm.get_filter('reader')
writer = pm.get_filter('writer')

reader.set_properties(path='/home/timurttv/data/mesho/*.edf',  count=10)
writer.set_properties(prefix='fft_pad', path='out')

padd = pm.get_filter('padding2d')

# padd.set_properties(xl=512, xr=0, yt=512, yb=0, mode='brep')         # 1024 x 1024 passed
# padd.set_properties(xl=512, xr=1024, yt=512, yb=1024, mode='brep') # 2048 x 2048 passed
padd.set_properties(xl=512, xr=3072, yt=512, yb=3072, mode='brep') # 4096 x 4096 passed
# padd.set_properties(xl=512, xr=7168, yt=512, yb=7168, mode='brep') # 8192 x 8192 fft fails (( 

fft  = pm.get_filter('fft')
ifft = pm.get_filter('ifft')
fft.set_properties(dimensions=2)
ifft.set_properties(dimensions=2)

g.connect_filters(reader, padd)
g.connect_filters(padd  , fft)
g.connect_filters(fft   , ifft)
g.connect_filters(ifft  , writer)

s.run(g)

