from gi.repository import Ufo

path = [ '/home/timurttv/_UFO-Project/git_framework3/lamino-filters-installed/lib/ufo',
         '/home/timurttv/_UFO-Project/git_framework3/ufo-filters-installed/lib/ufo' ]

conf = Ufo.Configuration(paths=path)
g    = Ufo.Graph()
pm   = Ufo.PluginManager(configuration=conf)
s    = Ufo.Scheduler(configuration=conf)

# load filters and set their parameters 

# projection loading
reader  = pm.get_filter('reader')
reader.set_properties(path='/home/timurttv/data/mesho/mesh_1_-mesh_2_-75mu-1000r1000-*.edf', count=500)

# projection extension
padd = pm.get_filter('padding2d')
padd.set_properties(xl=473, xr=3111, yt=195, yb=317, mode='brep') # 4096 x 1024 

# ramp-filtering
ramp = pm.get_filter('laminoramp')
ramp.set_properties(width=4096, fwidth=1458, height=1024, theta=1.0921048, tau=0.3)

fft1 = pm.get_filter('fft')
fft1.set_properties(dimensions=2)

fft2 = pm.get_filter('fft')
fft2.set_properties(dimensions=2)

# convolution filter
conv = pm.get_filter('laminoftconv')

ifft = pm.get_filter('ifft')
ifft.set_properties(dimensions=2)

# reduce filtered projection 
roi = pm.get_filter('regionofinterest')
roi.set_properties(x=0, y=0, width=1458, height=903)

# writer = pm.get_filter('writer')
# writer.set_properties(path='./out', prefix='fproj')

writer = pm.get_filter('3dedfwriter')
writer.set_properties(prefix='./out/mesh_gpu_fbp')

rec  = pm.get_filter('laminobpgeneric')
rec.set_properties(     theta= 1.09210487,
         		psi=0,
           		angle_step= 0.01256637061435,
  	        	vol_sx=512,
  		        vol_sy=512,
  		        vol_sz=128,
  		        vol_ox=256,
 		        vol_oy=256,
 		        vol_oz=64,
 		        proj_ox=729,
 		        proj_oy=451) 

# build the computing graph
g.connect_filters(reader, padd)
g.connect_filters(padd, fft1)
g.connect_filters(ramp, fft2)

g.connect_filters_full(fft2, 0, conv, 0, Ufo.TransferMode.COPY) # filter
g.connect_filters_full(fft1, 0, conv, 1, Ufo.TransferMode.COPY) # projs

g.connect_filters(conv, ifft)
g.connect_filters(ifft, roi)
g.connect_filters(roi, rec)
g.connect_filters(rec, writer)


s.run(g)

