from gi.repository import Ufo

path = [ '/home/timurttv/_UFO-Project/git_framework3/lamino-filters-installed/lib/ufo',
         '/home/timurttv/_UFO-Project/git_framework3/ufo-filters-installed/lib/ufo' ]

conf = Ufo.Configuration(paths=path)
g    = Ufo.Graph()
pm   = Ufo.PluginManager(configuration=conf)
s    = Ufo.Scheduler(configuration=conf)


reader  = pm.get_filter('reader')
padd    = pm.get_filter('padding2d')
ramp    = pm.get_filter('laminoramp')
fft1    = pm.get_filter('fft')
fft2    = pm.get_filter('fft')
conv    = pm.get_filter('laminoftconv')
ifft    = pm.get_filter('ifft')
writer  = pm.get_filter('writer')
roi     = pm.get_filter('regionofinterest')

reader.set_properties(path='/home/timurttv/data/mesho/*.edf',  count=500)
padd.set_properties(xl=473, xr=3111, yt=195, yb=317, mode='brep') # 4096 x 1024 
#ramp.set_properties(width=4096, height=2048, theta=1.0921048, tau=0.25)
ramp.set_properties(width=4096, fwidth=1458, height=1024, theta=1.0921048, tau=0.3)
fft1.set_properties(dimensions=2)
fft2.set_properties(dimensions=2)
ifft.set_properties(dimensions=2)
roi.set_properties(x=0, y=0, width=1458, height=903)
writer.set_properties(prefix='lf', path='out')

g.connect_filters(reader, padd)
g.connect_filters(padd,   fft1)
g.connect_filters(ramp,   fft2)
g.connect_filters_full(fft1, 0, conv, 1, Ufo.TransferMode.COPY)
g.connect_filters_full(fft2, 0, conv, 0, Ufo.TransferMode.COPY)
g.connect_filters(conv, ifft)
g.connect_filters(ifft, roi)
g.connect_filters(roi,  writer)

s.run(g)
